# $Revision: 1.9 $, $Date: 2011/07/01 14:26:32 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	vCard
Summary:	Text::vCard - module to edit and create a single vCard (RFC 2426)
Summary(pl.UTF-8):	Text::vCard - moduł do edycji i tworzenia pojedynczych vCardów (RFC 2426)
Name:		perl-Text-vCard
Version:	2.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e6053a00633cc115b24f0457114a8b5d
URL:		http://search.cpan.org/dist/Text-vCard/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Class-Accessor-Chained
BuildRequires:	perl-File-Slurp
BuildRequires:	perl-Text-vFile-asData
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description 
This Perl module implements interface for both single vcard
(Text::vCard) and addressbook (Text::vCard::Addressbook). vCard is an
electronic business card. You will find that many applications (Apple
Address Book, MS Outlook, Evolution etc) can export and import vCards.
This package has been developed based on RFC 2426.  

%description -l pl.UTF-8
Ten moduł Perla implementuje interfejs do pojedynczych vcardów
(Text::vCard) oraz książek adresowych (Text::vCard::Addressbook).
vCard to elektroniczna wizytówka. Jest wiele aplikacji (Apple Address
Book, MS Outlook, Evolution itp.) potrafiących eksportować i
importować vCardy. Ten pakiet został stworzony w oparciu o RFC 2426.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorlib}/Text/vCard.pm
%dir %{perl_vendorlib}/Text/vCard
%{perl_vendorlib}/Text/vCard/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-vCard.spec,v $
Revision 1.9  2011/07/01 14:26:32  marti
- up to 2.10

Revision 1.8  2009/10/16 07:26:10  amateja
- updated to 2.03

Revision 1.7  2007/12/31 00:07:12  zbyniu
- up to 2.01

Revision 1.6  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.4  2006/10/21 17:21:47  ankry
- ver. 2.00

Revision 1.3  2006/07/24 18:10:26  qboosh
- pl, cleanup

Revision 1.2  2006/07/22 13:30:10  agaran
- rel 0.2, fixed description, license,

Revision 1.1  2006/07/22 13:27:23  agaran
- initial, builds here, ver 1.98 rel 0.1
